> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 구독 항목에서 사용할 수 있는 옵션 가져오기

> 구독 항목에서 사용할 수 있는 옵션 목록을 반환합니다.



## OpenAPI

````yaml /steppay_v1.json get /api/v1/subscriptions/{subscriptionId}/items/{itemId}/options
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/subscriptions/{subscriptionId}/items/{itemId}/options:
    get:
      tags:
        - 구독 API
      summary: 구독 항목에서 사용할 수 있는 옵션 가져오기
      description: 구독 항목에서 사용할 수 있는 옵션 목록을 반환합니다.
      operationId: v1_getSubscriptionItemOptions
      parameters:
        - name: subscriptionId
          in: path
          description: 구독 번호
          required: true
          schema:
            type: integer
            format: int64
        - name: itemId
          in: path
          description: 구독 항목 번호
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: 정상적으로 조회됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductOptionGroupDTO'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '404':
          description: 구독을 찾지 못 함
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProductOptionGroupV1DTO'
components:
  schemas:
    ProductOptionGroupDTO:
      title: 상품 옵션 그룹 정보
      required:
        - id
        - name
        - options
      type: object
      properties:
        id:
          type: integer
          description: 옵션 그룹 번호
          format: int64
        name:
          type: string
          description: 옵션 그룹 이름
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProductOptionDTO'
        depth:
          type: integer
          format: int32
      description: 옵션 그룹 정보
    ProductErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ProductOptionGroupV1DTO:
      title: 상품 옵션 그룹 정보
      required:
        - id
        - name
        - options
      type: object
      properties:
        id:
          type: integer
          description: 옵션 그룹 번호
          format: int64
        name:
          type: string
          description: 옵션 그룹 이름
        options:
          type: array
          items:
            $ref: '#/components/schemas/ProductOptionV1DTO'
        depth:
          type: integer
          format: int32
      description: 옵션 그룹 정보
    ProductOptionDTO:
      title: 옵션 정보
      required:
        - id
        - name
        - price
      type: object
      properties:
        id:
          type: integer
          description: 옵션 번호
          format: int64
        name:
          type: string
          description: 옵션 이름
        quantity:
          type: integer
          description: 수량
          format: int32
        price:
          type: number
          description: 가격
        parent:
          type: integer
          format: int64
    ReturnError:
      type: object
    ProductOptionV1DTO:
      title: 옵션 정보
      required:
        - id
        - name
        - price
      type: object
      properties:
        id:
          type: integer
          description: 옵션 번호
          format: int64
        name:
          type: string
          description: 옵션 이름
        quantity:
          type: integer
          description: 수량
          format: int32
        price:
          type: number
          description: 가격
        parent:
          type: integer
          format: int64
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````